svn commit: r353084 - in head/Mk: . Scripts

Tijl Coosemans tijl at FreeBSD.org
Tue May 6 11:57:23 UTC 2014


Author: tijl
Date: Tue May  6 11:57:22 2014
New Revision: 353084
URL: http://svnweb.freebsd.org/changeset/ports/353084
QAT: https://qat.redports.org/buildarchive/r353084/

Log:
  Let stage-qa detect .la libraries and warn that a port needs USES=libtool.
  
  PR:		ports/189255
  Approved by:	portmgr (antoine)

Modified:
  head/Mk/Scripts/qa.sh
  head/Mk/bsd.stage.mk

Modified: head/Mk/Scripts/qa.sh
==============================================================================
--- head/Mk/Scripts/qa.sh	Tue May  6 11:17:29 2014	(r353083)
+++ head/Mk/Scripts/qa.sh	Tue May  6 11:57:22 2014	(r353084)
@@ -172,7 +172,18 @@ suidfiles() {
 	return 0
 }
 
-checks="shebang symlinks paths stripped desktopfileutils sharedmimeinfo suidfiles"
+libtool() {
+	if [ -z "${USESLIBTOOL}" ]; then
+		find ${STAGEDIR} -type f -name '*.la' | while read f; do
+			grep -q 'libtool library' "${f}" &&
+				warn ".la libraries found, port needs USES=libtool" &&
+				return 0 || true
+		done
+		# The return above continues here.
+	fi
+}
+
+checks="shebang symlinks paths stripped desktopfileutils sharedmimeinfo suidfiles libtool"
 
 ret=0
 cd ${STAGEDIR}

Modified: head/Mk/bsd.stage.mk
==============================================================================
--- head/Mk/bsd.stage.mk	Tue May  6 11:17:29 2014	(r353083)
+++ head/Mk/bsd.stage.mk	Tue May  6 11:57:22 2014	(r353084)
@@ -17,6 +17,9 @@ QA_ENV+=	STAGEDIR=${STAGEDIR} \
 .if !empty(USES:Mdesktop-file-utils)
 QA_ENV+=	USESDESKTOPFILEUTILS=yes
 .endif
+.if !empty(USES:Mlibtool*)
+QA_ENV+=	USESLIBTOOL=yes
+.endif
 .if !empty(USES:Mshared-mime-info)
 QA_ENV+=	USESSHAREDMIMEINFO=yes
 .endif


More information about the svn-ports-head mailing list